[lapack] 01/06: Add autopkgtest for LAPACK testsuite.

Sébastien Villemot sebastien at debian.org
Wed Jan 6 11:38:23 UTC 2016


This is an automated email from the git hooks/post-receive script.

sebastien pushed a commit to branch master
in repository lapack.

commit 95fe86b665dafa92b014bae22e43aa22fd75f2d4
Author: Sébastien Villemot <sebastien at debian.org>
Date:   Tue Jan 5 21:55:56 2016 +0100

    Add autopkgtest for LAPACK testsuite.
---
 debian/tests/control          |  3 +++
 debian/tests/lapack-testsuite | 30 ++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
index a1726b8..44e74b4 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -6,3 +6,6 @@ Depends: liblapacke-dev, build-essential
 
 Tests: blas
 Depends: libblas3, libblas-test
+
+Tests: lapack-testsuite
+Depends: libblas3, liblapack3, liblapack-test, python
diff --git a/debian/tests/lapack-testsuite b/debian/tests/lapack-testsuite
new file mode 100755
index 0000000..4fdf401
--- /dev/null
+++ b/debian/tests/lapack-testsuite
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Run upstream testsuite for LAPACK
+
+set -e
+
+# Enforce the BLAS (resp. LAPACK) contained in package libblas3 (resp. liblapack3)
+export LD_LIBRARY_PATH=/usr/lib/libblas:/usr/lib/lapack
+
+if [ -z "$ADTTMP" ]
+then
+	echo "Temporary directory \$ADTTMP is not set. Aborting" >&2
+	exit 1
+fi
+
+# Work from $ADTTMP as we need to treat the original source as read-only
+cp lapack_testing.py TESTING/*.in "${ADTTMP}/"
+
+cd "${ADTTMP}/"
+
+for testprog in xlintst{s,c,d,z} xlintstrf{s,c,d,z} xlintstds xlintstzc xeigtst{s,c,d,z}
+do
+    ln -s /usr/lib/lapack/${testprog}
+done
+
+read NUM_ERRORS OTHER_ERRORS <<< $(./lapack_testing.py -r -d . -n)
+
+echo "Total errors: $((NUM_ERRORS + OTHER_ERRORS))"
+
+((NUM_ERRORS + OTHER_ERRORS == 0))

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/lapack.git



More information about the debian-science-commits mailing list